#ifndef __ABBREV_P_H__
#define __ABBREV_P_H__

extern _VOID_ syms_of_abbrev _P_((void));

DEFUN_P(Fmake_abbrev_table, (void));
DEFUN_P(Fclear_abbrev_table, (Lisp_Object table));
DEFUN_P(Fdefine_abbrev, (Lisp_Object table, Lisp_Object name,
                           Lisp_Object expansion, Lisp_Object hook,
                           Lisp_Object count));
DEFUN_P(Fdefine_global_abbrev, (Lisp_Object name, Lisp_Object expansion));
DEFUN_P(Fdefine_mode_abbrev, (Lisp_Object name, Lisp_Object expansion));
DEFUN_P(Fabbrev_symbol, (Lisp_Object abbrev, Lisp_Object table));
DEFUN_P(Fabbrev_expansion, (Lisp_Object abbrev, Lisp_Object table));
DEFUN_P(Fexpand_abbrev, (void));
DEFUN_P(Funexpand_abbrev, (void));
DEFUN_P(Finsert_abbrev_table_description, (Lisp_Object name,
                                             Lisp_Object readable));
DEFUN_P(Fdefine_abbrev_table, (Lisp_Object tabname, Lisp_Object defns));

#endif
